Retail DS cartridges on rxTools emuNAND?

Discussion in '3DS - Flashcards & Custom Firmwares' started by Bobbery18, Jan 25, 2016.

  1. Bobbery18
    OP

    Bobbery18 Advanced Member

    Newcomer
    50
    5
    Feb 16, 2014
    United States
    For some reason, whenever I try and load up a physical, retail DS cart on rxTools emuNAND (N3DS, firmware 9.5 emuNAND, 9.2 sysNAND), I just get a black screen. (This happens with DSiWare I have on emuNAND also.) I heard that rxTools is supposed to support DS carts on emuNAND, so I was just wondering if there is something I'm missing. I was planning on getting a DS flashcart (probably an R4 variant, i.e. one that should work on a non-CFW device on the latest firmware) to play my DS games off of, but if regular DS carts aren't going to work, I doubt a flashcart will, and I'd just be wasting my money. And yes, I know I can just go into sysNAND and play them (have tried and does work), but if they are supposed to work in emuNAND, I'd like to know how because it's a lot more convenient.
     
  2. ih8ih8sn0w

    ih8ih8sn0w Koreaboo

    Member
    1,678
    752
    Aug 22, 2015
    United States
    Hell
    I tried booting my white 2 on my n3ds with cakes on 10.4 and it worked fine, are you sure its not a problem with the game?
     
  3. Bobbery18
    OP

    Bobbery18 Advanced Member

    Newcomer
    50
    5
    Feb 16, 2014
    United States
    I'm pretty sure. I've tried every game in my library and they all go to a black screen where I have to force power off my 3DS (hold the power button).
     
  4. DKB

    DKB FUCK OFF

    Member
    GBAtemp Patron
    DKB is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    1,290
    1,249
    May 29, 2015
    United States
    New York City, Manhattan
    That's odd. On N3DS on Rxtools 9.5, the game won't load. But, on a O3DS Rxtools 10.4, the game loads..I guess rxtools only allows it in O3DS..

    ..The game was a retail copy of Trauma Center: Under the Knife.
     
    Last edited by DKB, Jan 25, 2016
  5. ih8ih8sn0w

    ih8ih8sn0w Koreaboo

    Member
    1,678
    752
    Aug 22, 2015
    United States
    Hell
    Just start using cakes cfw tbh, its much more useful for emuNAND (you can find a ready to use download on that iso site)
     
  6. Monty Kensicle

    Monty Kensicle Yay!

    Member
    1,169
    278
    Aug 4, 2008
    United States
    Commonwealth of Virginia
    Happening for me too. I thought this was fixed with rxTools too.
     
  7. James310

    James310 GBAtemp Advanced Fan

    Member
    879
    319
    Oct 4, 2015
    United States
    Somewhere in California
    Rxtools stop supporting ds carts since they gave it up to support region free, why would you be playing games outside your regions in the first place?
     
  8. Zaide

    Zaide GBAtemp Regular

    Member
    296
    120
    Apr 2, 2009
    United States
    I had the same problem. Switched to Reinand and now original DS games work fine.
     
  9. ih8ih8sn0w

    ih8ih8sn0w Koreaboo

    Member
    1,678
    752
    Aug 22, 2015
    United States
    Hell
    People import region exclusive/released in x region before theirs and want to play them without having to dump the rom and convert to cia/launch homebrew each time. You can still play ds games through sysnand with little to no issues
     
  10. James310

    James310 GBAtemp Advanced Fan

    Member
    879
    319
    Oct 4, 2015
    United States
    Somewhere in California
    true but please read the title...says emunand , ds carts did work on emunand with rxtools a few months ago but during that time it stop working and they never looked back into fixing it, reinand and cake fw supports using ds carts in emunand
     
  11. Bobbery18
    OP

    Bobbery18 Advanced Member

    Newcomer
    50
    5
    Feb 16, 2014
    United States
    Okay, well one, I never said they were out-of-region carts (none of them are in fact, they are all NA carts), and two, people import carts to play region-exclusive games, it isn't uncommon.

    — Posts automatically merged - Please don't double post! —

    I was considering doing that too, but since the rxTools super-update (that will support latest FW, etc.) is apparently coming pretty soon, I thought I'd stay on rxTools for the time being and see if that update will fix some issues I have with it currently (obviously no DS emuNAND support being one of those).
     
  12. James310

    James310 GBAtemp Advanced Fan

    Member
    879
    319
    Oct 4, 2015
    United States
    Somewhere in California
    There supporting Latest FW like in Sysnand? Or Emunand because almost all cfw's support it already
     
  13. Bobbery18
    OP

    Bobbery18 Advanced Member

    Newcomer
    50
    5
    Feb 16, 2014
    United States
    In emuNAND. They've been hinting at it (or, kinda blatantly stating it) on their Twitter for a while now. N3DS (on rxTools at least) only supports up to 9.5 currently.
     
  14. ih8ih8sn0w

    ih8ih8sn0w Koreaboo

    Member
    1,678
    752
    Aug 22, 2015
    United States
    Hell
    Afaik, there is no way to have cfw on latest sysNAND since the only arm9 exploit is with a hardmod or something
     
    James310 likes this.
  15. Dracari

    Dracari GBAtemp Maniac

    Member
    1,486
    407
    Apr 5, 2009
    United States
    it maybe a PITA but for now Boot to Sysnand then launch your DS Game/DSiware
     
  16. James310

    James310 GBAtemp Advanced Fan

    Member
    879
    319
    Oct 4, 2015
    United States
    Somewhere in California
    There saying there going to support 10.4 emunand , rxtools is kinda old and obsolete now since cake fw and reinand or gateway supports 10.4 emunand for a while now

    — Posts automatically merged - Please don't double post! —

    You Should just switch to Cake or Rei since first , You can use ds carts,Light weight, and supports 10.4 emu on n3ds
     
  17. Bobbery18
    OP

    Bobbery18 Advanced Member

    Newcomer
    50
    5
    Feb 16, 2014
    United States
    (This post was just an accidental copy of the one right below it, so I changed it to avoid confusion.)
     
    Last edited by Bobbery18, Jan 25, 2016
  18. Bobbery18
    OP

    Bobbery18 Advanced Member

    Newcomer
    50
    5
    Feb 16, 2014
    United States
    Not really. AFAIK it offers more options (for more advanced users I guess, but they are useful to me) technical-wise. I don't mind not being on 10.4 because I got everything else working just fine on 9.5, but if DS carts still don't work with the update, I probably will switch to ReiNAND just to have that option.

    So you're saying that it was never working to begin with, and that there isn't a way to fix it? Honestly, I'm fine with it if that's the truth, I just want to know so I know there isn't something I could be doing to fix it.

    — Posts automatically merged - Please don't double post! —

    Whoops, accidentally posted that twice. My bad. :P

    Edit: Apparently you can't delete your own posts, so I guess the other one is just going to have to stay there unless a mod deletes it or something.

    Edit 2: Just updated it to avoid confusion.
     
    Last edited by Bobbery18, Jan 25, 2016
  19. James310

    James310 GBAtemp Advanced Fan

    Member
    879
    319
    Oct 4, 2015
    United States
    Somewhere in California
    ds carts did work "Before" , them adding region free a few months ago is what broke ds support in the first place and it hasnt been fix and might never will, Litterally 2 apps called Dycrypt9 and emunand9 Gives you all the things rxtools gave you
     
  20. Bobbery18
    OP

    Bobbery18 Advanced Member

    Newcomer
    50
    5
    Feb 16, 2014
    United States
    Ah, okay. I know about those apps, but rxTools just has all of that stuff in one place, just more convenient imo. Like I said, though, if it isn't fixed in the update, I probably will switch to ReiNAND for the DS support. Not doing it now because if I did switch to ReiNAND, I'd want to update emuNAND (to 10.4), and if I did that I couldn't go back to rxTools if I didn't like it (ReiNAND) because it (rxTools) only supports up to 9.5 right now.
     
  21. James310

    James310 GBAtemp Advanced Fan

    Member
    879
    319
    Oct 4, 2015
    United States
    Somewhere in California
    I Highly doubt they will fix it,hasnt been mentioned for months and they dont care about fixing it anymore